nxt

## Class NxtException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - nxt.NxtException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BlockchainProcessor.BlockNotAcceptedException, NxtException.ValidationException, ParameterException, Shuffler.ShufflerException

      public abstract class NxtException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NxtException.AccountControlException`
    `static class` | `NxtException.ExistingTransactionException`
    `static class` | `NxtException.InsufficientBalanceException`
    `static class` | `NxtException.NotCurrentlyValidException`
    `static class` | `NxtException.NotValidException`
    `static class` | `NxtException.NotYetEnabledException`
    `static class` | `NxtException.NotYetEncryptedException`
    `static class` | `NxtException.NxtIOException`
    `static class` | `NxtException.StopException`
    `static class` | `NxtException.ValidationException`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NxtException()`
    `protected` | `NxtException(java.lang.String message)`
    `protected` | `NxtException(java.lang.String message, java.lang.Throwable cause)`
    `protected` | `NxtException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NxtException

          protected NxtException()

    - #### NxtException

          protected NxtException(java.lang.String message)

    - #### NxtException

          protected NxtException(java.lang.String message,
                                 java.lang.Throwable cause)

    - #### NxtException

          protected NxtException(java.lang.Throwable cause)